//==============================================================
//  版权所有：深圳杰文科技
//  文件名：ShortcutToolbar.cs
//  版本：V1.0  
//  创建者：Jay  ( QQ： 85363208 )
//  创建时间：2017-11-28 16:18
//  创建描述：
//  修改者：
//  修改时间：
//  修改说明： 
//==============================================================


namespace Framework.DomainBase
{
	using System;
	using System.Collections.Generic;
	using System.ComponentModel.DataAnnotations;
	using System.ComponentModel.DataAnnotations.Schema;
	using System.Data.Entity.Spatial;

	[Serializable]
	[Table("ShortcutToolbar")]
	public partial class ShortcutToolbar
	{
		public const string SQL = @"
select * from ShortcutToolbar
where   1=1 {0}
order by SeqNo";

		[Key]
		public Guid Id
		{
			get;
			set;
		}

		public Guid UserId
		{
			get;
			set;
		}

		public int SeqNo
		{
			get;
			set;
		}

		public String Module
		{
			get;
			set;
		}

		[ConcurrencyCheck, DatabaseGenerated(DatabaseGeneratedOption.Computed)]
		public DateTime? Version
		{
			get;
			set;
		}

		public const string F_Id = "Id";
		public const string F_UserId = "UserId";
		public const string F_SeqNo = "SeqNo";
		public const string F_Module = "Module";
		public const string F_Version = "Version";

	}
}
